package uam.patrones.adapter.operaciones;

import uam.patrones.adapter.interfaces.ServiciosAlumno;
import uam.patrones.idiomas.operaciones.ServiciosAlumnoIdiomasImpl;

/**
 * @author Equipo de trabajo
 *
 */
public class ServiciosAlumnoIdiomasAdapter implements ServiciosAlumno
{

private ServiciosAlumnoIdiomasImpl servicios;
  
  public ServiciosAlumnoIdiomasAdapter() {
    servicios = new ServiciosAlumnoIdiomasImpl();
  }
  
  @Override
  public void actualizarAlumno()
  {
    servicios.actualizarAlumno();
    
  }

  @Override
  public void almacenarAlumno()
  {
    servicios.guardarAlumno();
    
  }

  @Override
  public void consultarAlumno()
  {
    servicios.obtenerDatosAlumno();
    
  }

  @Override
  public void eliminarAlumno()
  {
    servicios.borrarAlumno();
    
  }

  
}
